/*
 * Hangul.C for some editor functions.
 *
 * Programmed by Abraxas (Jeong-Hun Moon)
 * Program Date: Oct 14, 1994 (Fri)
 * Programed for.. Hana BBS.
 *
 * Version: 0.1 (Not programmed yet)
 */

#include <stdio.h>
#include "estruct.h"

/*
 * Function:  int isHan(char *string, int index)
 * Return Value:
 *      0 : if string[index] is simple ascii.
 *      1 : if string[index] is 1st char of hangul.
 *      2 : if string[index] is 2nd char of hangul.
 */

int
isHan(str, index)
	CELL	*str;
	int	index;
{
	register int	i = 0, j;
	for(j=0; j <= index; j++) {
		if(!((str[j].c) & 0x80))
			i = 0;		/* clear status */
		else if(i == 1) i = 2;
		else i = 1;
	}
	return i;
}
